"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-313/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A200>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A2A0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A340>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A3E0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A480>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A520>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A5C0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A660>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A700>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A7A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A840>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A8E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084A980>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AA20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AAC0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AB60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AC00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084ACA0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AD40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084ADE0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AE80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AF20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084AFC0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B060>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B100>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B1A0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B240>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B2E0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B380>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B420>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B4C0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B560>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B600>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B6A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B740>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B7E0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B880>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B920>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084B9C0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BA60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BB00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BBA0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BC40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BCE0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BD80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BE20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BEC0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001D29084BF60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908840E0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884180>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884220>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908842C0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884360>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884400>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908844A0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884540>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908845E0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884680>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884720>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908847C0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884860>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884900>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908849A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884A40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884AE0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884B80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884C20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884CC0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884D60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884E00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884EA0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884F40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290884FE0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885080>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885120>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908851C0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885260>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885300>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885440>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908853A0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2908854E0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885580>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D290885620>)]
name: str = 'fr_HOCCN'
